.base-wrapper {
  margin: 0;
  width: 100%;
  height: 100%;
  display: block;
  overflow: hidden;
  position: absolute;

  $header-height: 60px;

  app-header {
    z-index: 3;
    height: $header-height;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  }

  .main-wrapper {
    width: 100%;
    overflow: auto;
    position: absolute;
    height: calc(100% - $header-height);

    main {
      z-index: 2;
      overflow: hidden;
      position: relative;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    }
  }

  app-header,
  app-footer {
    display: block;
    position: relative;
  }
}
